/*
Gwenview - A simple image viewer for TDE
Copyright 2005 Aurelien Gateau

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/
// TQt
#include <tqlabel.h>

// KDE
#include <tdeapplication.h>
#include <tdeaboutdata.h>
#include <tdecmdlineargs.h>
#include <kiconloader.h>

// Local
#include <vtabwidget.h>

int main(int argc, char* argv[]) {
	TDEAboutData aboutData("testvtabwidget", "testvtabwidget", "0");
	TDECmdLineArgs::init( argc, argv, &aboutData );
	TDEApplication app;

	Gwenview::VTabWidget tabWidget(0);
	TQLabel* lbl=new TQLabel("label 1", &tabWidget);
	tabWidget.addTab(lbl, SmallIcon("text"), "tab1");
	lbl=new TQLabel("label 2", &tabWidget);
	tabWidget.addTab(lbl, SmallIcon("image-x-generic"), "tab2");
	
	app.setMainWidget(&tabWidget);
	tabWidget.show();
	app.exec();
}
